## pyxdameraulevenshtein 1.6.1

=== requirements.txt ===
Cython==0.29.21
numpy==1.19.1

=== debian/changelog ===
pyxdameraulevenshtein (1.6.1-2) unstable; urgency=medium

  * Use dh-sequence-python3

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jan 2021 23:04:32 +0000

pyxdameraulevenshtein (1.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #979198)

 -- Julian Gilbey <jdg@debian.org>  Thu, 31 Dec 2020 06:54:13 +0000

=== debian/control ===
Source: pyxdameraulevenshtein
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>,
           Julian Gilbey <jdg@debian.org>,
           Drew Parsons <dparsons@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/gfairchild/pyxDamerauLevenshtein
Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein
Rules-Requires-Root: no

Package: python3-pyxdameraulevenshtein
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast Damerau-Levenshtein (DL) edit distance implementation
 This Python library for computing the Damerau-Levenshtein (DL) edit distance
 for sequences has been developed using Cython for speed.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-language-server-$1\.tar\.gz/ https://github.com/gfairchild/pyxDamerauLevenshtein/tags .*/v?(\d\S+)\.tar\.gz

## pyxdameraulevenshtein 1.7.0

=== requirements.txt ===
Cython==0.29.21

=== debian/changelog ===
pyxdameraulevenshtein (1.7.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:18:12 +0000

pyxdameraulevenshtein (1.7.0-3) unstable; urgency=medium

  * Fix autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 15:13:26 +0000

pyxdameraulevenshtein (1.7.0-2) unstable; urgency=medium

  * Make Multi-Arch: same
  * Add autopkgtest

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Nov 2021 13:23:01 +0000

pyxdameraulevenshtein (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/watch file

 -- Julian Gilbey <jdg@debian.org>  Sun, 24 Oct 2021 21:24:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Otto Kekäläinen <otto@debian.org>,
-           Julian Gilbey <jdg@debian.org>,
+Uploaders: Julian Gilbey <jdg@debian.org>,
            Drew Parsons <dparsons@debian.org>
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all-dev,
-               python3-numpy,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/gfairchild/pyxDamerauLevenshtein
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein
@@ -19,6 +17,7 @@
 
 Package: python3-pyxdameraulevenshtein
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

# Cannot run tests pre-installation
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyxdameraulevenshtein-$1\.tar\.gz/ https://github.com/gfairchild/pyxDamerauLevenshtein/tags .*/v?(\d\S+)\.tar\.gz

## pyxdameraulevenshtein 1.7.1

=== requirements.txt ===
Cython==0.29.32

=== debian/changelog ===
pyxdameraulevenshtein (1.7.1-2) unstable; urgency=medium

  * Add hardening=+all to build

 -- Julian Gilbey <jdg@debian.org>  Wed, 31 Aug 2022 09:20:51 +0100

pyxdameraulevenshtein (1.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julian Gilbey ]
  * New upstream version
  * Updated upstream repository location
  * Regenerate the extension file from the Cython file before compiling

 -- Julian Gilbey <jdg@debian.org>  Tue, 30 Aug 2022 08:56:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.6.0
-Homepage: https://github.com/gfairchild/pyxDamerauLevenshtein
+Standards-Version: 4.6.1
+Homepage: https://github.com/lanl/pyxDamerauLevenshtein
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	# regenerate the C file from the Cython script
	cd pyxdameraulevenshtein && cython3 pyxdameraulevenshtein.pyx

# Cannot run tests pre-installation
override_dh_auto_test:

## pyxdameraulevenshtein 1.8.0

=== debian/changelog ===
pyxdameraulevenshtein (1.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 18:51:44 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

# Cannot run tests pre-installation
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyxdameraulevenshtein-$1\.tar\.gz/ https://github.com/lanl/pyxDamerauLevenshtein/tags .*/v?(\d\S+)\.tar\.gz

## pyxdameraulevenshtein 1.9.0

=== requirements.txt ===
Cython

=== debian/changelog ===
pyxdameraulevenshtein (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * after dh_clean, remove generated_initialize.c. Closes: #1048598.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Aug 2025 14:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/lanl/pyxDamerauLevenshtein
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyxdameraulevenshtein
@@ -18,7 +18,6 @@
 
 Package: python3-pyxdameraulevenshtein
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 # Cannot run tests pre-installation
 override_dh_auto_test:
+
+execute_after_dh_clean:
+	rm -f pyxdameraulevenshtein/_initialize.c

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         @
Restrictions: allow-stderr
